Open CASCADE Technology: Extrema_ExtCS Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_ExtCS Class Reference

It calculates all the extremum distances between a curve and a surface. These distances can be minimum or maximum. More...

`#include <Extrema_ExtCS.hxx>`

## Public Member Functions
| Extrema_ExtCS ()
| Extrema_ExtCS (const Adaptor3d_Curve &C, const Adaptor3d_Surface &S, const Standard_Real TolC, const Standard_Real TolS)
| It calculates all the distances between C and S. More...
| Extrema_ExtCS (const Adaptor3d_Curve &C, const Adaptor3d_Surface &S, const Standard_Real UCinf, const Standard_Real UCsup, const Standard_Real Uinf, const Standard_Real Usup, const Standard_Real Vinf, const Standard_Real Vsup, const Standard_Real TolC, const Standard_Real TolS)
| It calculates all the distances between C and S. UCinf and UCmax are the start and end parameters of the curve. More...
void | Initialize (const Adaptor3d_Surface &S, const Standard_Real Uinf, const Standard_Real Usup, const Standard_Real Vinf, const Standard_Real Vsup, const Standard_Real TolC, const Standard_Real TolS)
| Initializes the fields of the algorithm. More...
void | Perform (const Adaptor3d_Curve &C, const Standard_Real Uinf, const Standard_Real Usup)
| Computes the distances. An exception is raised if the fieds have not been initialized. More...
Standard_Boolean | IsDone () const
| Returns True if the distances are found. More...
Standard_Boolean | IsParallel () const
| Returns True if the curve is on a parallel surface. More...
Standard_Integer | NbExt () const
| Returns the number of extremum distances. More...
Standard_Real | SquareDistance (const Standard_Integer N) const
| Returns the value of the Nth resulting square distance. More...
void | Points (const Standard_Integer N, Extrema_POnCurv &P1, Extrema_POnSurf &P2) const
| Returns the point of the Nth resulting distance. More...

## Detailed Description

It calculates all the extremum distances between a curve and a surface. These distances can be minimum or maximum.

## Constructor & Destructor Documentation

Extrema_ExtCS::Extrema_ExtCS | ( |  | ) |

Extrema_ExtCS::Extrema_ExtCS | ( | const Adaptor3d_Curve & | C,
|  | const Adaptor3d_Surface & | S,
|  | const Standard_Real | TolC,
|  | const Standard_Real | TolS
| ) |  |

It calculates all the distances between C and S.

Extrema_ExtCS::Extrema_ExtCS | ( | const Adaptor3d_Curve & | C,
|  | const Adaptor3d_Surface & | S,
|  | const Standard_Real | UCinf,
|  | const Standard_Real | UCsup,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup,
|  | const Standard_Real | Vinf,
|  | const Standard_Real | Vsup,
|  | const Standard_Real | TolC,
|  | const Standard_Real | TolS
| ) |  |

It calculates all the distances between C and S. UCinf and UCmax are the start and end parameters of the curve.

## Member Function Documentation

void Extrema_ExtCS::Initialize | ( | const Adaptor3d_Surface & | S,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup,
|  | const Standard_Real | Vinf,
|  | const Standard_Real | Vsup,
|  | const Standard_Real | TolC,
|  | const Standard_Real | TolS
| ) |  |

Initializes the fields of the algorithm.

Standard_Boolean Extrema_ExtCS::IsDone | ( |  | ) | const

Returns True if the distances are found.

Standard_Boolean Extrema_ExtCS::IsParallel | ( |  | ) | const

Returns True if the curve is on a parallel surface.

Standard_Integer Extrema_ExtCS::NbExt | ( |  | ) | const

Returns the number of extremum distances.

void Extrema_ExtCS::Perform | ( | const Adaptor3d_Curve & | C,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

Computes the distances. An exception is raised if the fieds have not been initialized.

void Extrema_ExtCS::Points | ( | const Standard_Integer | N,
|  | Extrema_POnCurv & | P1,
|  | Extrema_POnSurf & | P2
| ) |  | const

Returns the point of the Nth resulting distance.

Standard_Real Extrema_ExtCS::SquareDistance | ( | const Standard_Integer | N | ) | const

Returns the value of the Nth resulting square distance.

The documentation for this class was generated from the following file:

- Extrema_ExtCS.hxx